#
# Conditional build:
%bcond_with	rpm4	# prepare macros for PLD rpm 4.5 instead of rpm5
#
%if "%{pld_release}" == "ac"
%define	with_rpm4	1
%endif
%define		rpm_macros_rev	1.680
%define		find_lang_rev	1.36
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Patch0:		disable-systemd.patch
Patch1:		rpm4.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif
%{?with_rpm4:%patch1 -p1}

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}
cp -a rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 16a8eac
- ver 1.680 (qt debugging/asserts disabled by default in cmake macro)

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1271c35
- disable qt debugging, too

* Thu Oct 31 2013 Kacper Kornet <draenog@pld-linux.org> f5b9833
- use full path in %{__python3} macro

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> d99e514
- 1.679
- added macros that mimic the behaviour of linux/version.h

* Thu Oct 24 2013 Jan Rękorajski <baggins@pld-linux.org> 1a2c9fb
- _kernel_ver is not what it seems, restored it to previous state, as a
  result restore also _kernel_ver_str
- added description for above macros
- removed now unused __kernel_rel and __kernel_rpmvr macros

* Thu Oct 24 2013 Jan Rękorajski <baggins@pld-linux.org> 23b89db
- 1.678

* Thu Oct 24 2013 Jan Rękorajski <baggins@pld-linux.org> 82cb233
- use INSTALLROOT variable in install_kernel_modules macro

* Wed Oct 23 2013 Jan Rękorajski <baggins@pld-linux.org> 95178c4
- bump version to 1.677

* Tue Oct 22 2013 Jan Rękorajski <baggins@pld-linux.org> d41f5ef
- added -D <DESTDIR> option to install_kernel_modules macro

* Tue Oct 22 2013 Jan Rękorajski <baggins@pld-linux.org> 98af4b4
- cleanup and simplify _kernel_ver and _kernel_ver_str macros
- removed _kernel_vermagic macro as it's unused duplicate of _kernel_ver_str

* Sun Oct 20 2013 Jan Rękorajski <baggins@pld-linux.org> 048f305
- whitespace cleanup

* Sun Oct 20 2013 Jan Rękorajski <baggins@pld-linux.org> 9590b1a
- switch last users of kgcc to __cc

* Sun Oct 20 2013 Jan Rękorajski <baggins@pld-linux.org> 80efc9b
- bump ver to 1.676

* Sun Oct 20 2013 Jan Rękorajski <baggins@pld-linux.org> 5d21b4a
- remove memoization from kernel related macros, this will allow us to
  build multiple packages for different kernels in one rpmbuild pass

* Sun Oct 20 2013 Jan Rękorajski <baggins@pld-linux.org> e1b6d0b
- reuse existing macro

* Sun Oct 20 2013 Jan Rękorajski <baggins@pld-linux.org> f51f1d9
- drop kgcc defs, they're unused for 10 years

* Sun Oct 20 2013 Jan Rękorajski <baggins@pld-linux.org> 95cda3a
- keep kernel macros together

* Sun Oct 06 2013 Elan Ruusamäe <glen@delfi.ee> 018307d
- 1.675: %cmake to respect env $CC and $CXX first

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 9878ac1
- v1.674: %undos find only files when using -f option

* Fri Aug 30 2013 Elan Ruusamäe <glen@delfi.ee> 1316894
- add missing 'e' letters, thanks qboosh!

